<?php

$block_name = _("Forwards Summary");

/**
 * $Horde: forwards/lib/Block/summary.php,v 1.5 2004/10/19 00:45:25 chuck Exp $
 *
 * @package Horde_Block
 */
class Horde_Block_Forwards_summary extends Horde_Block {

    var $_app = 'forwards';

    function _title() 
    {
        global $registry;
        return Horde::link(Horde::applicationUrl($registry->getInitialPage(), true), $registry->get('name'), 'header') . $registry->get('name') . '</a>';
    }
    
    function _content() 
    {
        global $registry;
        require_once dirname(__FILE__) . '/../base.php';
        require_once FORWARDS_BASE . '/lib/Driver.php';

        // Get the current login credentials.
        $splitted = explode('@', Auth::getAuth());
        $user = @$splitted[0];
        $realm = @$splitted[1];
        $pass = Auth::getCredential('password');

        // Create the driver.
        $driver = &Forwards_Driver::factory();

        // Find out if forwarding is activated or not.
        if (!isset($driver)) {
            $content = _("Failed to create a forwards driver");
        } else {
            if (!$driver->isEnabledForwarding($user, $realm, $pass)) {
                $content = _("Forward is not active.");
            } else {
                $content = _("Forward is active.");
                $to = $driver->currentTarget($user, $realm, $pass);
                // FIXME: should we parse the contents returned?
                $content .= ($to
                             ? '<blockquote>' . nl2br(htmlentities($to)) . '</blockquote>'
                             : _("Unable to retrieve forwarding information")
                             );
            }
        }

        // Build and return the html for the summary page.
        $html  = '<table border="0" cellpadding="2" cellspacing="0" width="100%"><tr><td class="header">';
        $html .= Horde::link(Horde::url($registry->getInitialPage()), $registry->get('name'), 'header') . $registry->get('name') . '</a>';
        $html .= '</td></tr>';
        $html .= '<tr><td class="text"><table border="0" cellpadding="0" cellspacing="0">';
        $html .= '<tr><td class="text" nowrap="nowrap" valign="top"><b>';
        $html .= $content;
        $html .= '</b></td></tr>';
        $html .= '</table></td></tr></table>';
        return $html;
    }

}
